// OS function
MY_SYMBOL(x_thread_delay)
MY_SYMBOL(x_thread_create)
MY_SYMBOL(x_thread_set_pri)
MY_SYMBOL(x_sema_create)
MY_SYMBOL(x_sema_delete)
MY_SYMBOL(x_sema_lock)
MY_SYMBOL(x_sema_unlock)
MY_SYMBOL(Assert)
MY_SYMBOL(HalFlushInvalidateDCache)

// CLI function
MY_SYMBOL(CLI_CmdTblAttach)
MY_SYMBOL(CLI_CmdTblDeattach)
MY_SYMBOL(UTILCLI_DebugLevel)
MY_SYMBOL(UTILCLI_LogLevelText)
MY_SYMBOL(CUST1_IsLog)
MY_SYMBOL(CUST1_i4LogLvlQuerySet)
MY_SYMBOL(CUST2_IsLog)
MY_SYMBOL(CUST2_i4LogLvlQuerySet)

// Utility function
MY_SYMBOL(StrToInt)
MY_SYMBOL(i4StrToInt)
MY_SYMBOL(u8Div6464)
MY_SYMBOL(HAL_GetTime)
MY_SYMBOL(HAL_GetDeltaTime)

// Variable
MY_SYMBOL(SW_DRAM_BASE)    
MY_SYMBOL(SRS_Table_A)    
MY_SYMBOL(SRS_Table_B)
MY_SYMBOL(SRS_Table)

// Flash PQ
MY_SYMBOL(u2ApiFlashPqGetRawDataTblId)
MY_SYMBOL(u2ApiFlashPqGetRawDataCaseId)
MY_SYMBOL(vApiFlashPqSetRawDataTblId)
MY_SYMBOL(vApiFlashPqSetRawDataCaseId)
MY_SYMBOL(bApiFlashPqGetRawDataInfo)
MY_SYMBOL(bApiFlashPqUpdateRawData)
MY_SYMBOL(bApiFlashPqSetRawData)
MY_SYMBOL(bApiFlashPqUpdateRawDataEx)
MY_SYMBOL(bApiFlashPqUpdateRawData_SMT)
MY_SYMBOL(bApiFlashPqGetRawDataInfo_SMT)

// Driver API
MY_SYMBOL(SIF_X_Read)   // I2C
MY_SYMBOL(SIF_X_Write)  // I2C
MY_SYMBOL(EEPROM_Read)	// EEPROM
MY_SYMBOL(EEPROM_Write)	// EEPROM
MY_SYMBOL(GPIO_GetIn)   // GPIO
MY_SYMBOL(GPIO_SetOut)  // GPIO
MY_SYMBOL(GPIO_Status)  // GPIO
MY_SYMBOL(PDWNC_ReadServoADCChannelValue) // ADC
MY_SYMBOL(vApiSetPanelBright)   // Backlight        
MY_SYMBOL(vDrvSPIBatchWriteCmd) // SPI driver
MY_SYMBOL(vDrvSPILightUpCmd)    // SPI driver    
MY_SYMBOL(PDWNC_GspiInit)       // PDWNC SPI
MY_SYMBOL(PDWNC_GspiReadWrite)  // PDWNC SPI

// drv_MapleGetApiSys.c
MY_SYMBOL(DRVCUST_GetInputType)
MY_SYMBOL(DRVCUST_GetSignalFormat)
MY_SYMBOL(DRVCUST_GetAnalogDecNoiseLevel)
MY_SYMBOL(DRVCUST_GetDecoderAvgBitRate)
MY_SYMBOL(DRVCUST_GetWindowMode)
MY_SYMBOL(DRVCUST_GetPlaneMuteState)
MY_SYMBOL(DRVCUST_GetOutputMuteState)
MY_SYMBOL(DRVCUST_GetOutputPosition)
MY_SYMBOL(DRVCUST_GetSourceArea)
MY_SYMBOL(DRVCUST_GetScalingRequest)
MY_SYMBOL(DRVCUST_GetOutputFormat)
MY_SYMBOL(DRVCUST_GetBorderPlaneRequest)
MY_SYMBOL(DRVCUST_GetBlurRequest)
MY_SYMBOL(DRVCUST_GetMCVPMeter)
MY_SYMBOL(DRVCUST_GetCadense)
MY_SYMBOL(DRVCUST_GetMJCInputFrequency)
MY_SYMBOL(DRVCUST_GetPostProcMeter)
MY_SYMBOL(DRVCUST_GetPostProcTdHistMeter)
MY_SYMBOL(DRVCUST_GetLdMeter)
MY_SYMBOL(DRVCUST_GetOpticalSensorLevel)
MY_SYMBOL(DRVCUST_GetTemperatureSensorLevel)
MY_SYMBOL(DRVCUST_GetBLPowerLimit)
MY_SYMBOL(DRVCUST_GetPwmSetting)
MY_SYMBOL(DRVCUST_GetVideoFrameDelay)
MY_SYMBOL(DRVCUST_GetHistoryData)
MY_SYMBOL(DRVCUST_GetPowerState)
MY_SYMBOL(DRVCUST_GetPanleIDMatchState)
MY_SYMBOL(DRVCUST_BePartitionRead)
MY_SYMBOL(DRVCUST_SopqPartitionRead)
MY_SYMBOL(DRVCUST_GetAdcValue)
MY_SYMBOL(DRVCUST_GetScreenSaver)
MY_SYMBOL(DRVCUST_GetAgingMode)
MY_SYMBOL(DRVCUST_GetTvOutputFormat)
MY_SYMBOL(DRVCUST_GetMuffinScalerInfo)
MY_SYMBOL(DRVCUST_GetOsdState)
MY_SYMBOL(DRVCUST_GetModelVariationInfoStartAddress)
MY_SYMBOL(DRVCUST_GetScreenMirroringConfig)
MY_SYMBOL(DRVCUST_GetLetterBoxDetection)	
MY_SYMBOL(DRVCUST_GetScePixMonData)	
MY_SYMBOL(DRVCUST_GetOstgPixMonData)
MY_SYMBOL(DRVCUST_Get4bandFreqHist)
MY_SYMBOL(DRVCUST_GetDecoderMeter)
MY_SYMBOL(DRVCUST_GetVirtual2PhysicalAddress)
MY_SYMBOL(DRVCUST_GetPhysical2VirtualAddress)
MY_SYMBOL(DRVCUST_GetPicControlState)
MY_SYMBOL(DRVCUST_GetOsdPixelCount)
MY_SYMBOL(DRVCUST_TestWatchdogReset)
MY_SYMBOL(DRVCUST_IsMaintenanceReset)
MY_SYMBOL(DRVCUST_GetPqFaceDetInfo)
MY_SYMBOL(DRVCUST_GetPqSkinLumaHistMeter)
MY_SYMBOL(DRVCUST_GetColorSensorSetting)
MY_SYMBOL(DRVCUST_GetRGBSensorLevel)
MY_SYMBOL(DRVCUST_GetRGBSensorID)
MY_SYMBOL(DRVCUST_GetDolbyVisionGlobalDimming)
#ifdef CC_SUPPORT_PHOTO8K
MY_SYMBOL(DRVCUST_GetVB1Mode)
MY_SYMBOL(DRVCUST_ReplyVB1ModeChange)
MY_SYMBOL(DRVCUST_GetDivPhotoState)
MY_SYMBOL(DRVCUST_ReplyDivPhotoStateChange)
MY_SYMBOL(DRVCUST_GetDivPhotoMetaInfo)
MY_SYMBOL(DRVCUST_GetDivPhotoFadeDuration)
#endif

// drv_MapleGetApiAp.c
MY_SYMBOL(DRVCUST_GetPictureSetting)
MY_SYMBOL(DRVCUST_GetScreenSetting)
MY_SYMBOL(DRVCUST_Get3DSetting)
MY_SYMBOL(DRVCUST_GetEcoSetting)
MY_SYMBOL(DRVCUST_GetPhotoSetting)
MY_SYMBOL(DRVCUST_GetDemoMode)
MY_SYMBOL(DRVCUST_GetDemoOsdMaskArea)
MY_SYMBOL(DRVCUST_GetServiceSetting)
MY_SYMBOL(DRVCUST_GetServiceTransferSetting)
MY_SYMBOL(DRVCUST_GetServiceVcomAdjust)
MY_SYMBOL(DRVCUST_GetUiInputTarget)
MY_SYMBOL(DRVCUST_GetBTSetting)
MY_SYMBOL(DRVCUST_GetColorAdjust)
MY_SYMBOL(DRVCUST_GetWhiteBalanceOffset20pEnable)

MY_SYMBOL(DRVCUST_GetWhiteBalanceOffset)




// drv_MapleSetApiAp.c
MY_SYMBOL(DRVCUST_SetExclusiveReg)
MY_SYMBOL(DRVCUST_SetLumaCurve)
MY_SYMBOL(DRVCUST_SetContrast)
MY_SYMBOL(DRVCUST_SetColor)
MY_SYMBOL(DRVCUST_SetHue)
MY_SYMBOL(DRVCUST_SetPqWBGainOffset)
MY_SYMBOL(DRVCUST_SetSharpnessOffset)
MY_SYMBOL(DRVCUST_SetSRSLut)
MY_SYMBOL(DRVCUST_FlushPqSetting)
MY_SYMBOL(DRVCUST_EnNoiseLevel)
MY_SYMBOL(DRVCUST_SetNoiseLevel)
MY_SYMBOL(DRVCUST_EnNoiseLevel2)
MY_SYMBOL(DRVCUST_SetNoiseLevel2)
MY_SYMBOL(DRVCUST_SetPostSharpYLev)
MY_SYMBOL(DRVCUST_SetIbseYLev)
MY_SYMBOL(DRVCUST_UpdateTimingGroup)
MY_SYMBOL(DRVCUST_PqSendDataToBe)
MY_SYMBOL(DRVCUST_RegisterPqFunc)
MY_SYMBOL(DRVCUST_DeregisterPqFunc)
MY_SYMBOL(DRVCUST_RegisterBeFunc)
MY_SYMBOL(DRVCUST_DeregisterBeFunc)
MY_SYMBOL(DRVCUST_RegisterBeGeneralFunc)
MY_SYMBOL(DRVCUST_DeregisterBeGeneralFunc)
MY_SYMBOL(DRVCUST_RegisterPQGeneralFunc)
MY_SYMBOL(DRVCUST_RegisterBeExtFunc)
MY_SYMBOL(DRVCUST_ReadEDID)
MY_SYMBOL(DRVCUST_GetHDMIPortNumber)
MY_SYMBOL(DRVCUST_DeRegisterPQGeneralFunc)
MY_SYMBOL(DRVCUST_ResetSystem)
MY_SYMBOL(DRVCUST_SetEcsCommandReply)    
MY_SYMBOL(DRVCUST_BePartitionWrite)  
MY_SYMBOL(DRVCUST_SopqPartitionWrite)  
MY_SYMBOL(DRVCUST_SetBeDeviceInformation)  
MY_SYMBOL(DRVCUST_SetBeDeviceErrorDetect) 
MY_SYMBOL(DRV_CUST_SetBEDeviceVersion) 
MY_SYMBOL(DRVCUST_SetPqColMatrixParam)	
MY_SYMBOL(DRVCUST_SetPqNewPartialS)  
MY_SYMBOL(DRVCUST_SetPqPartialY)
MY_SYMBOL(DRVCUST_SetScalerCoefLumaH)
MY_SYMBOL(DRVCUST_SetScalerCoefChromaH) 
MY_SYMBOL(DRVCUST_SetScalerCoefLumaV) 
MY_SYMBOL(DRVCUST_SetScalerCoefChromaV) 
MY_SYMBOL(DRVCUST_SetLdHwParam) 
MY_SYMBOL(DRVCUST_SetLdSwParam) 
MY_SYMBOL(DRVCUST_SetLdHwTable) 
MY_SYMBOL(DRVCUST_SetLdSwTable) 
MY_SYMBOL(DRVCUST_SetPqSwVersion) 
MY_SYMBOL(DRVCUST_SetPqMetaData)
MY_SYMBOL(DRVCUST_SetScePixMonCapEnable)
MY_SYMBOL(DRVCUST_SetScePixMonPos)
MY_SYMBOL(DRVCUST_SetScePixMonInkEnable)
MY_SYMBOL(DRVCUST_SetScePixMonInkColor)
MY_SYMBOL(DRVCUST_SetOstgPixMonCapEnable)
MY_SYMBOL(DRVCUST_SetOstgPixMonPos)
MY_SYMBOL(DRVCUST_SetOstgPixMonCurseColor)
MY_SYMBOL(DRVCUST_Set4BandFilterRang)
MY_SYMBOL(DRVCUST_Set4BandHFilter)
MY_SYMBOL(DRVCUST_EnSetTnr)
MY_SYMBOL(DRVCUST_SetTnr)
MY_SYMBOL(DRVCUST_SetDemuraTransferSetting)
MY_SYMBOL(DRVCUST_SetPqTdHistConfig)
MY_SYMBOL(DRVCUST_SetPqNewPartialSposition)
MY_SYMBOL(DRVCUST_SetXvyccRamTable)
MY_SYMBOL(DRVCUST_SetXvyccGammaTableSel)
MY_SYMBOL(DRVCUST_SetRGBSensorParam)

MY_SYMBOL(DRVCUST_SetOsdPixCountAlphaThresh)
MY_SYMBOL(DRVCUST_SetColorimetryConvTable)
MY_SYMBOL(DRVCUST_GetColorimetryConvCapability)
MY_SYMBOL(DRVCUST_SetDolbyConfigData)

MY_SYMBOL(DRVCUST_SetPqSkinLumaHistDetPosition)
MY_SYMBOL(DRVCUST_SetPqSkinLumaHistDetThreshold)

// backlight control
MY_SYMBOL(DRVCUST_GetBLPwmFrequency)
MY_SYMBOL(DRVCUST_GetBLPwmDuty)
MY_SYMBOL(DRVCUST_GetBLScanPwmNumberOfPulses)
MY_SYMBOL(DRVCUST_GetBLScanPwmDuty)
MY_SYMBOL(DRVCUST_GetBLScanPwmPhase)
MY_SYMBOL(DRVCUST_GetBLPwmMode)
MY_SYMBOL(DRVCUST_GetBLControlState)
MY_SYMBOL(DRVCUST_SetBLPwmFrequency)
MY_SYMBOL(DRVCUST_SetBLPwmDuty)
MY_SYMBOL(DRVCUST_SetBLScanPwmNumberOfPulses)
MY_SYMBOL(DRVCUST_SetBLScanPwmDuty)
MY_SYMBOL(DRVCUST_SetBLScanPwmPhase)
MY_SYMBOL(DRVCUST_SetBLPwmMode)
MY_SYMBOL(DRVCUST_SetBLHeaderFooter)
//mStar LD part

MY_SYMBOL(DRVCUST_SetGDStrength)
MY_SYMBOL(DRVCUST_SetLDStrength)
MY_SYMBOL(DRVCUST_SetLdCompensationBlend)
MY_SYMBOL(DRVCUST_SetLdMeanMaxAlpha)
MY_SYMBOL(DRVCUST_SetLdBacklightInGamma)
MY_SYMBOL(DRVCUST_SetLdBacklightRemap)
MY_SYMBOL(DRVCUST_SetLdMinClamp)
MY_SYMBOL(DRVCUST_SetLdSpetialFilterStrength1)
MY_SYMBOL(DRVCUST_SetLdSpetialFilterStrength2)
MY_SYMBOL(DRVCUST_SetLdSpetialFilterStrength3)
MY_SYMBOL(DRVCUST_SetLdSpetialFilterStrength4)
MY_SYMBOL(DRVCUST_SetLdSpetialFilterStrength5)
MY_SYMBOL(DRVCUST_SetLdTemporalFilterStrengthDn)
MY_SYMBOL(DRVCUST_SetLdTemporalFilterStrengthUp)
MY_SYMBOL(DRVCUST_SetLdTemporalFilterLowTh)
MY_SYMBOL(DRVCUST_SetLdTemporalFilterHighTh)
MY_SYMBOL(DRVCUST_SetLdTemporalFilterMaxSpeed)
MY_SYMBOL(DRVCUST_SetLDEn)
MY_SYMBOL(DRVCUST_SetLdSaturationProtection)
MY_SYMBOL(DRVCUST_SetLdGroupingStart)
//MY_SYMBOL(DRVCUST_SetLdGroupingEnd)
MY_SYMBOL(DRVCUST_MAPI_LD_Set_SPI_Output_En)
MY_SYMBOL(DRVCUST_SetLdDynamicAlphaEn)
MY_SYMBOL(DRVCUST_SetLdDynamicAlphaLUT)
MY_SYMBOL(DRVCUST_SetLdfBlendAlpha)

//Gamma table
MY_SYMBOL(DRVCUST_GetWBGammaTable)
MY_SYMBOL(DRVCUST_SetWBGammaTable)


// drv_MapleAudGetApi.c
MY_SYMBOL(DRVCUST_RegisterBeAudFunc)
MY_SYMBOL(DRVCUST_DeregisterBeAudFunc)

MY_SYMBOL(DRVCUST_GetAudioInputType)
MY_SYMBOL(DRVCUST_GetAudioSignalFormat)
MY_SYMBOL(DRVCUST_GetAudioDelay)
MY_SYMBOL(DRVCUST_GetAudioOutputFormat)
MY_SYMBOL(DRVCUST_GetVolume)
MY_SYMBOL(DRVCUST_GetSoundSetting)
MY_SYMBOL(DRVCUST_GetAudioChannelMuteState)
MY_SYMBOL(DRVCUST_GetAudioPlayState)
MY_SYMBOL(DRVCUST_GetAudioMixState)
MY_SYMBOL(DRVCUST_GetServiceModeState)
MY_SYMBOL(DRVCUST_GetSubwooferState)
MY_SYMBOL(DRVCUST_GetMCKState)

MY_SYMBOL(DRVCUST_SetBeMuteState)
MY_SYMBOL(DRVCUST_SetBeDelay)

// uart driver
MY_SYMBOL(UART_Init)
MY_SYMBOL(UART_SetParameter)
MY_SYMBOL(UART_GetParameter)
MY_SYMBOL(UART_Read)
MY_SYMBOL(UART_Write)
MY_SYMBOL(UART_SetNotifyFuc)
MY_SYMBOL(UART_SetDMAMode)

//ERROR pattern
MY_SYMBOL(DRVCUST_SetErrorPattern)

//BT ko export
MY_SYMBOL(PDWNC_ReadWakeupReason)
MY_SYMBOL(PDWNC_SetBTInResetState)

//I2C export
MY_SYMBOL(SIF_IS_SUSPENDED)
MY_SYMBOL(CustomRestartFRCSequence)

//RT9119 driver
MY_SYMBOL(RT9119_CreateHandle)
MY_SYMBOL(RT9119_DeleteHandle)
MY_SYMBOL(RT9119_Init_General)
MY_SYMBOL(RT9119_SetOutputMode)
MY_SYMBOL(RT9119_Init_DSP_Functions)
MY_SYMBOL(RT9119_Init_IO_Mixer)
MY_SYMBOL(RT9119_SetVolume)
MY_SYMBOL(RT9119_SetClipper)
MY_SYMBOL(RT9119_SetPreScaler)
MY_SYMBOL(RT9119_SetBQ)
MY_SYMBOL(RT9119_SetDRC)
MY_SYMBOL(RT9119_SetChannelVolume)
MY_SYMBOL(RT9119_SetFIR)
MY_SYMBOL(RT9119_SetSmoothBQ)
//For AQSetGet, AMP_RESET and AMP_PWR status checking
MY_SYMBOL(DrvCust_AQ_SetGet)
MY_SYMBOL(SelfDiagTriggerAudI2CError)

MY_SYMBOL(DRVCUST_GetAddtionalRestrictionCondition)
MY_SYMBOL(DRVCUST_SetAddtionalRestrictionCondition)

MY_SYMBOL(DRVCUST_RequestSpecialPostMute)

//maple_video_drv.c
MY_SYMBOL(DRVCUST_MEMC_GetSonyParams)
MY_SYMBOL(DRVCUST_MEMC_GetBlackBeltPosition)
MY_SYMBOL(DRVCUST_MEMC_GetEndCreditRollFlag)
MY_SYMBOL(DRVCUST_MEMC_GetTelopFlag)
MY_SYMBOL(DRVCUST_MEMC_VideoDelayAdjustment)
MY_SYMBOL(DRVCUST_MEMC_SetOsdBypassWin)
MY_SYMBOL(DRVCUST_MEMC_SetMfcDemo)
MY_SYMBOL(DRVCUST_MEMC_FilmCadanceControl)
MY_SYMBOL(DRVCUST_MEMC_DeflickerControl)
MY_SYMBOL(DRVCUST_MEMC_Set_RelPosRatioIndex)
MY_SYMBOL(DRVCUST_MEMC_SetChaosLevelKeep)
MY_SYMBOL(DRVCUST_MEMC_SetBlackBeltSel)
MY_SYMBOL(DRVCUST_MEMC_FunctionEnable)
MY_SYMBOL(DRVCUST_MEMC_OriInputResolutionInfo)
MY_SYMBOL(DRVCUST_MEMC_SetModelName)
MY_SYMBOL(DRVCUST_MEMC_PicMode)
MY_SYMBOL(DRVCUST_MEMC_ImpremetationFrame)
MY_SYMBOL(DRVCUST_MEMC_PositionRatioTable)
MY_SYMBOL(DRVCUST_MEMC_ShowfileCadenceErrorEnable)



MY_SYMBOL(DRVCUST_SetVDECSignalPath)
MY_SYMBOL(DRVCUST_GetVDECSignalPath)

MY_SYMBOL(DRVCUST_SetBacklightMute)
MY_SYMBOL(DRVCUST_GetVRRStatus)
MY_SYMBOL(DRVCUST_SetVRRMode)
MY_SYMBOL(DRVCUST_SetHDMISignalPath)
MY_SYMBOL(DRVCUST_GetHDMISignalPath)
MY_SYMBOL(DRVCUST_SetOpenHdrColorimetryParam)
MY_SYMBOL(DRVCUST_SetOpenHdrCscParam)
MY_SYMBOL(DRVCUST_SetOpenHdrToneMapParam)
MY_SYMBOL(DRVCUST_SetOpenHdrGammaRamTable)

MY_SYMBOL(DRVCUST_MEMC_SetColorFormat)
